Retrieve Log Output for Bulk Loads

Use the get vector load job log operation to retrieve the log output for a bulk load job.

The operation returns log file metadata and contents.

See the following for examples of how to implement get_vector_load_job_log:

from oracle_vecdb import OracleVecDB, Configuration

client = OracleVecDB(Configuration(
    rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
    access_token="<bearer-token>", # or username="<user>", password="<pass>"
))

job_log = client.get_vector_load_job_log(
    load_job_name="VECDB_LOAD_ABC123"
)
print(job_log)

A JSON response is returned containing log file metadata and contents.

Example successful response:

{
  "log_date": "2026-07-27T07:12:01.517747Z",
  "job_name": "VECDB_LOAD_575FD66FCCF805F1E063324946644650",
  "status": "SUCCEEDED",
  "error": "0",
  "additional_info": null,
  "actual_start_date": "2026-07-27T07:11:46.725187Z",
  "run_duration": "PT15S",
  "links": [
    {
      "rel": "collection",
      "href": ".../vecdb/load/jobs/VECDB_LOAD_575FD66FCCF805F1E063324946644650/"
    }
  ]
}

For more information about the get_vector_load_job_log operation, see Python API Reference.

See how GET /vecdb/load/jobs/{load_job_name}/jobfile can be used in the following example:

curl -X GET \
  "https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/load/jobs/VECDB_LOAD_20260501110000/jobfile" \
  -H "Accept: application/json" \
  # Choose ONE authentication method:

  # Option 1: Basic authentication
  -u "<user>:<password>"

  # Option 2: OAuth Bearer token
  # -H "Authorization: Bearer <access_token>"

Example 200 response:

{
  "actual_start_date": "2026-05-01T11:00:00.22485Z",
  "additional_info": null,
  "error#": 0,
  "job_name": "VECDB_LOAD_20260501110000",
  "links": [
    {
      "href": "/vecdb/load/jobs/VECDB_LOAD_20260501110000/",
      "rel": "collection"
    }
  ],
  "log_date": "2026-05-01T11:00:00.572103Z",
  "run_duration": "P0DT0H0M0S",
  "status": "SUCCEEDED"
}

For more information about GET /vecdb/load/jobs/{load_job_name}/jobfile, see REST API Reference.